kind: PersistentVolume
apiVersion: v1
metadata:
  name: immich-db-pv
  labels:
    app: immich-postgresql
spec:
  capacity:
    storage: 20Gi  # Adjust the storage size as needed
  storageClassName: nfs
  accessModes:
    - ReadWriteMany
  nfs:
    path: /export/fastData/immichDB  # Static path on the NFS server
    server: 192.168.178.166               # Your NFS server's IP
  persistentVolumeReclaimPolicy: Retain
